/*
 * $Id: malloc.c,v 1.9 2000/05/24 22:22:52 athena Exp $
 */
/*
 * Copyright (c) 2000 Massachusetts Institute of Technology
 * Copyright (c) 2000 Matteo Frigo
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

/*
 * This file used to contain a simple malloc()/free() for Cilk. 
 * Now we use the standard implementation on top of posix threads.
 */

#include <cilk.h>
#include <cilk-internal.h>

#if HAVE_STRINGS_H
#include <strings.h>
#endif

#if HAVE_STRING_H
#include <string.h>
#endif

#if HAVE_CONFIG_H
#include <config.h>
#endif

#if HAVE_STDLIB_H
#include <stdlib.h>
#endif

#if HAVE_MALLOC_H
#include <malloc.h>
#endif

/*
 * use posix malloc()  (assumed thread-safe)
 */
void *Cilk_malloc(size_t size)
{
     return malloc(size);
}

void *Cilk_malloc_fixed(size_t size)
{
     return malloc(size);
}

#if HAVE_MEMALIGN
void *Cilk_memalign(size_t alignment, size_t size)
{
     return memalign(alignment, size);
}
#endif

void Cilk_free(void *s)
{
     free(s);
}

void *Cilk_calloc(size_t nelem, size_t elsize)
{
     return calloc(nelem, elsize);
}

void *Cilk_realloc(void *s, size_t size)
{
     return realloc(s, size);
}

void *Cilk_valloc(size_t size)
{
     return valloc(size);
}

